<?php
/*
Plugin Name: NextGEN Image Rotation
Plugin URI: http://www.prositebuilder.com/image-rotation/
Description: Adds a custom view to NextGEN Gallery that has a main image and thumbnails on the side or bottom, using AJAX to update the view. Similar to the NextGEN Gallery Carrousel view but improved. Use the shortcode [nggallery id=x template="imagerotation"] to show the new layout.
Author: Matthew Osborne
Author URI: http://www.prositebuilder.com/
Version: 1.0
*/

if (!class_exists('nggImageRotation')) {
	class nggImageRotation {
		
		var $plugin_url = false;
		
		function nggImageRotation() {
		
			$this->plugin_url = WP_PLUGIN_URL . '/' . plugin_basename( dirname(__FILE__) ) . '/';
			
			// load scripts into the head
			add_action('wp_print_scripts', array(&$this, 'load_scripts') );
			add_action('wp_print_styles', array(&$this, 'load_styles') );
			add_filter('ngg_render_template', array(&$this, 'add_template'), 10, 2);
		}

		function add_template( $path, $template_name = false) {
			if ($template_name == 'gallery-imagerotation')
				$path = WP_PLUGIN_DIR . '/' . plugin_basename( dirname(__FILE__) ) . '/view.php';
				
			return $path;
		}
		function load_styles() {
			wp_enqueue_style('galleryview', $this->plugin_url . 'view.css', false, '1.0', 'screen');
		}

		function load_scripts() {
			wp_enqueue_script('easing', $this->plugin_url . 'view.js', array('jquery'), '1.0');
		}

	}
	
	// Start this plugin once all other plugins are fully loaded
	add_action( 'plugins_loaded', create_function( '', 'global $nggImageRotation; $nggImageRotation = new nggImageRotation();' ) );

}